shadow/tests/usertools/01/04_useradd_add_user_with_existing_UID_fail.test
Serge Hallyn b999d48941 Add tests from the old svn tree
We're losing the svn history (which we could probably keep if we tried
hard enough) but don't consider that worthwhile.

Note these tests are destructive, so run them only in a throwaway
environment like a chroot, container, or vm.

The tests/run.all script should be the one which launches all the tests.

Signed-off-by: Serge Hallyn <serge.hallyn@ubuntu.com>
2014-09-17 14:42:55 -05:00

61 lines
1.6 KiB
Bash
Executable File

#!/bin/sh
set -e
cd $(dirname $0)
. ../../common/config.sh
. ../../common/log.sh
log_start "$0" "Add a new user with an existing ID"
save_config
# restore the files on exit
trap 'log_status "$0" "FAILURE"; restore_config' 0
change_config
echo -n "Create user test1 (useradd -u 4242 test1)..."
useradd -u 4242 test1
echo "OK"
echo -n "Create user test2 with the same ID (useradd -u 4242 test2)..."
useradd -u 4242 test2 2>tmp/useradd.err && exit 1 || {
status=$?
}
echo "OK"
echo "All right, useradd returned error $status."
echo -n "Check returned status..."
test "$status" = "4"
echo "OK"
echo "useradd displayed:"
echo "======================================================================="
cat tmp/useradd.err
echo "======================================================================="
echo -n "Check that there were a failure message..."
diff -au 04_useradd_add_user_with_existing_UID_fail/useradd.err tmp/useradd.err
echo "error message OK."
rm -f tmp/useradd.err
echo -n "Check the passwd file..."
../../common/compare_file.pl 04_useradd_add_user_with_existing_UID_fail/passwd /etc/passwd
echo "OK"
echo -n "Check the group file..."
../../common/compare_file.pl 04_useradd_add_user_with_existing_UID_fail/group /etc/group
echo "OK"
echo -n "Check the shadow file..."
../../common/compare_file.pl 04_useradd_add_user_with_existing_UID_fail/shadow /etc/shadow
echo "OK"
echo -n "Check the gshadow file..."
../../common/compare_file.pl 04_useradd_add_user_with_existing_UID_fail/gshadow /etc/gshadow
echo "OK"
echo -n "no homedir..."
test -d /home/test1 && exit 1 || true
echo "OK"
log_status "$0" "SUCCESS"
restore_config
trap '' 0